(function () {
    'use strict';

    angular
        .module('app.controllers')
        .controller('AboutUsCtrl', ['ConfigService', 'UtilsService', AboutUsCtrl]);

    function AboutUsCtrl(ConfigService, UtilsService) {
        console.log('Controller: AboutUsCtrl');

        var vm = this;
        vm.config = ConfigService.get();
        vm.email = email;
        vm.visitWebSite = visitWebSite;
        return vm;

        function visitWebSite() {
            console.log('Opening website...');
            ga('send', 'event', 'button', 'click', 'open Akvelon website');
            UtilsService.openExternalUrl(vm.config.akvelonUrl);
        }

        function email() {
            ga('send', 'event', 'button', 'click', 'send feedback from about-us');
            window.location.href = 'mailto:' + vm.config.email + "?subject=Feedback";
        }

    }

})();
