(function () {
    'use strict';

    angular
        .module('app.controllers')
        .controller('CategoryListCtrl', ['UtilsService', 'items', CategoryListCtrl]);

    function CategoryListCtrl(UtilsService, items) {
        console.log('Controller: CategoryListCtrl');

        var vm = this;
        vm.items = items;

        UtilsService.setReferences(vm.items);
        UtilsService.setPageClass(vm.items);

        return vm;
    }

})();