(function () {
    'use strict';

    angular
        .module('app.controllers')
        .controller('FavouritesListCtrl', ['FavouritesService', 'UtilsService', FavouritesListCtrl]);

    function FavouritesListCtrl(FavouritesService, UtilsService) {
        console.log('Controller: FavouritesListCtrl');

        var vm = this;
        vm.title = "Favourites";
        vm.remove = remove;
        vm.favourites = [];

        vm.favourites = FavouritesService.list();
        UtilsService.setReferences(vm.favourites);

        return vm;

        function remove(favourite){
            FavouritesService.remove(favourite);
            vm.favourites = FavouritesService.list();
        }
    }

})();