(function () {
    'use strict';

    angular
        .module('app.controllers')
        .controller('HomeCtrl', ['statistics', 'ConfigService', HomeCtrl]);

    function HomeCtrl(statistics, ConfigService) {
        console.log('Controller: HomeCtrl');

        var vm = this;

        var config = ConfigService.get();
        vm.title = config.title;
        vm.descr = config.descr;
        vm.articles = statistics.articles;
        vm.images = statistics.images;
        vm.videos = statistics.videos;

        return vm;
    }

})();