(function () {
    'use strict';

    angular
        .module('app.services')
        .factory('ConfigService', ['ResourcesService', ConfigService]);

    function ConfigService(ResourcesService) {
        var tag = 'Service: Config ->';
        var config;

        var service = {
            get: get
        };
        return service;

        function get() {
            console.log('%s get()', tag);
            return config ? config : function() {
                config = ResourcesService.getConfig();
                return config;
            }();
        }
    }

})();