(function () {
    'use strict';

    angular
        .module('app.services')
        .factory('VideoService', ['ResourcesService', VideoService]);

    function VideoService(ResourcesService) {
        var tag = 'Service: VideoService ->';

        var service = {
            list: list
        };
        return service;

        function list() {
            console.log('%s list()', tag);
            return ResourcesService.getVideos();
        }
    }

})();