'use strict';

angular.module('app', [
    'ui.router',
    'ngResource',
    'ngTouch',
    'ngAnimate',
    'app.controllers',
    'app.directives',
    'app.services',
    'mobile-angular-ui',
    'debounce',
    'imgFallback',
    'ngScrollTo'
])
    .config(function (){
        if (!String.prototype.format) {
            String.prototype.format = function() {
                var args = arguments;
                return this.replace(/{(\d+)}/g, function(match, number) {
                    return typeof args[number] != 'undefined'
                        ? args[number]
                        : match
                        ;
                });
            };
        }
    })

    .run(function (ResourcesService) {
        ResourcesService.initialize();
        navigator.splashscreen.hide();
    });
