(function () {
    'use strict';

    angular
        .module('app.controllers')
        .controller('CategoryBrowseCtrl', ['UtilsService', 'category', CategoryBrowseCtrl]);

    function CategoryBrowseCtrl(UtilsService, category) {
        console.log('Controller: CategoryBrowseCtrl');

        var vm = this;
        vm.items = [];

        vm.title = category.title;
        vm.items = category.children;
        UtilsService.setReferences(vm.items);
        UtilsService.setPageClass(vm.items);

        return vm;
    }

})();
