(function () {
    'use strict';

    angular
        .module('app.controllers')
        .controller('SideMenuCtrl', ['ConfigService', 'UtilsService', SideMenuCtrl]);

    function SideMenuCtrl(ConfigService, UtilsService) {
        console.log('Controller: SideMenuCtrl');

        var vm = this;

        vm.config = ConfigService.get();
        vm.openWebsite = openWebsite;
        vm.email = email;
        return vm;

        function openWebsite() {
            console.log('Opening website...');
            ga('send', 'event', 'button', 'click', 'open wiki website');
            UtilsService.openExternalUrl(vm.config.wikiUrl);
        }

        function email() {
            ga('send', 'event', 'button', 'click', 'send feedback from side-menu');
            window.location.href = 'mailto:' + vm.config.email + "?subject=Feedback";
        }

    }

})();
