(function () {
    'use strict';

    angular
        .module('app.controllers')
        .controller('WikisCtrl', ['UtilsService', WikisCtrl]);

    function WikisCtrl(UtilsService) {
        console.log('Controller: WikisCtrl');

        var vm = this;
        vm.title = "More wikis";
        vm.openLink = openLink;
        vm.items = [
            {
                title: "Minecraft",
                link: "https://play.google.com/store/apps/details?id=com.all.wiki.minecraft",
                thumb: "img/advertisement-icons/minecraft.png"
            },
            {
                title: "Lord of the Rings",
                link: "https://play.google.com/store/apps/details?id=com.all.wiki.lotr",
                thumb: "img/advertisement-icons/lord-of-the-rings.png"
            },
            {
                title: "Ingress",
                link: "https://play.google.com/store/apps/details?id=com.all.wiki.ingress",
                thumb: "img/advertisement-icons/ingress.png"
            },
            {
                title: "LittleBigPlanet",
                link: "https://play.google.com/store/apps/details?id=com.all.wiki.littlebigplanet",
                thumb: "img/advertisement-icons/littlebigplanet.png"
            },
            {
                title: "S.T.A.L.K.E.R.(Rus)",
                link: "https://play.google.com/store/apps/details?id=com.all.wiki.stalkerrus",
                thumb: "img/advertisement-icons/stalker-rus.png"
            },
            {
                title: "Payday",
                link: "https://play.google.com/store/apps/details?id=com.all.wiki.payday",
                thumb: "img/advertisement-icons/payday-2.png"
            }];

        return vm;

        function openLink(url) {
            UtilsService.openExternalUrl(url);
        }
    }

})();