(function () {
    'use strict';

    angular
        .module('app.services')
        .factory('CategoryService', ['ResourcesService', CategoryService]);

    function CategoryService(ResourcesService) {
        var tag = 'Service: CategoryService ->';

        var service = {
            getById: getById,
            list: list
        };
        return service;

        function getById(id) {
            console.log('%s getById(%s)', tag, id);

            var category = ResourcesService.getCategoryById(id);

            return category;
        }

        function list() {
            console.log('%s list()', tag);
            return ResourcesService.getCategoryList();
        }
    }

})();