(function () {
    'use strict';

    angular
        .module('app.services')
        .factory('StatisticsService', ['ResourcesService', StatisticsService]);

    function StatisticsService(ResourcesService) {
        var tag = 'Service: Statistics ->';

        var service = {
            get: get
        };
        return service;

        function get() {
            console.log('%s get()', tag);
            return ResourcesService.getStatistics();
        }
    }

})();